Subject: Offline Message from Ramon Soriano Tomka: I never received this order. It’s m
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 17 Nov 2019 18:24:59 -0000

From: Ramon Soriano Tomka <[email-masked]>
Phone: 4696488441
Location: Houston, United States
URL: https://swagtron.com/contact/
Department: SwagTron

I never received this order. It’s marked as delivered by UPS. I live in an apartment complex with a leasing office. This was not delivered. 
I tried opening a case with UPS but it can only be opened by you. 
I sent an email and was chatting with someone yesterday but did not receive a response. Please help!!

Order date
Nov 13, 2019
Order #
113-7581066-9961811
Order total
$324.74 (1 item)
Shipment details
One-Day Shipping
Delivered
Delivery Estimate
Thursday, November 14, 2019 by 9pm
 
Swagger 5 T High Speed Electric Scooter for Adults with 8.5" Tires,... $299.99
Qty: 1
Sold By: Amazon.com Services, Inc
Track shipment
Payment information
Payment Method
Visa ending in 8080
Billing Address
2727 TRAVIS ST APT 323
HOUSTON, TX 77006-3547
Shipping address
Ramon Soriano
2727 TRAVIS ST APT 323
HOUSTON, TX 77006-3547
Order Summary
Items:
$299.99
Shipping & Handling:
$0.00
Total Before Tax:
$299.99
Estimated Tax Collected:
$24.75
Order Total
$324.74

----
Zopim
https://www.zopim.com